nodes / stopall
1 operation.
POST /nodes/{node}/stopall
ts
proxmox.nodes.$(node).stopall.$post()Stop all VMs and Containers.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
force-stop | boolean | Force a hard-stop after the timeout. — default 1 | |
max-workers | number | Defines the maximum number of tasks running concurrently. If not set, uses 'max_workers' from datacenter.cfg, and if that's not set, the available CPU threads, clamped to a maximum of 8, are used. — min 1, max 64 | |
node | string | yes | The cluster node name. — format pve-node |
timeout | number | Timeout for each guest shutdown task. Depending on force-stop, the shutdown gets then simply aborted or a hard-stop is forced. — min 0, max 7200, default 180 | |
vms | string | Only consider Guests with these IDs. — format pve-vmid-list |